Bug 123779 - IllegalArgumentException in Inspect windows for Elements with no sources
IllegalArgumentException in Inspect windows for Elements with no sources
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Navigation
6.x
All All
: P2 (vote)
: 6.x
Assigned To: _ sandipchitale
issues@java
release601_fixes_candidate1 release60...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 20:43 UTC by _ sandipchitale
Modified: 2008-02-20 18:16 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ sandipchitale 2007-12-10 20:43:19 UTC
An IllegalArgumentException is thrown when the row of an element for which there is no source is selected in the left
hand side tree of Inspect Members and Hierarchy windows.
Comment 1 _ sandipchitale 2007-12-10 20:44:09 UTC
A null check for fileObject associated with the Element was missing.
Comment 2 _ sandipchitale 2007-12-10 20:55:15 UTC
Added the missing null check for associated fileObject which was missing for tree nodes
with Elements that do not have associated source files available. A blank JavaDoc is
now shown.

Checking in src/org/netbeans/modules/java/navigation/JavaHierarchyModel.java;
/cvs/java/navigation/src/org/netbeans/modules/java/navigation/JavaHierarchyModel.java,v  <--  JavaHierarchyModel.java
new revision: 1.17; previous revision: 1.16
done
Checking in src/org/netbeans/modules/java/navigation/JavaMembersModel.java;
/cvs/java/navigation/src/org/netbeans/modules/java/navigation/JavaMembersModel.java,v  <--  JavaMembersModel.java
new revision: 1.15; previous revision: 1.14
done

This should be fixed in Patch 2.
Comment 3 _ sandipchitale 2007-12-11 23:53:13 UTC
Fixed.
Comment 4 _ krystyna 2007-12-12 00:04:26 UTC
Verified NetBeans IDE Dev (Build 200712111200)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; 
Comment 5 Karthikeyan Rajeswaran 2008-02-11 05:11:55 UTC
The fix has been ported into the release601_fixes branch.

Checking in src/org/netbeans/modules/java/navigation/JavaHierarchyModel.java;
/cvs/java/navigation/src/org/netbeans/modules/java/navigation/Attic/JavaHierarchyModel.java,v  <--  JavaHierarchyModel.java
new revision: 1.16.6.1; previous revision: 1.16
done
Checking in src/org/netbeans/modules/java/navigation/JavaMembersModel.java;
/cvs/java/navigation/src/org/netbeans/modules/java/navigation/Attic/JavaMembersModel.java,v  <--  JavaMembersModel.java
new revision: 1.14.6.1; previous revision: 1.14
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo